Class Index | File Index

## Classes

- _global_
- Boolean
- Date
- eclipse.sites
- eclipse.sites.SiteRenderer
- eclipse.sites.SiteTreeModel
- exports.GitCommitExplorer-GitCommitExplorer
- exports.GitRepositoryExplorer-GitRepositoryExplorer
- Object
- orion.breadcrumbs.BreadCrumbs
- orion.commands.Command
- orion.commands.CommandService
- orion.commonHTMLFragments
- orion.compare.DiffProvider
- orion.compare.rulers.CompareOverviewRuler
- orion.compare.rulers.CompareRuler
- orion.compare.rulers.LineNumberCompareRuler
- orion.compareUtils
- orion.console.Console
- orion.console.ConsoleInput
- orion.contentAssist.CssContentAssistProvider
- orion.contentAssist.HTMLContentAssistProvider
- orion.dialogs.DialogService
- orion.edit.Dispatcher
- orion.editor.ContentAssist
- orion.editor.Editor
- orion.editor.JavaScriptContentAssistProvider
- orion.editor.regex
- orion.editor.StyleReadyEvent
- orion.editor.StyleReadyEvent#LineStyle
- orion.editor.TextMateStyler
- orion.editor.util
- orion.explorer-table.FileExplorer
- orion.explorer.Explorer
- orion.explorer.ExplorerFlatModel
- orion.explorer.ExplorerModel
- orion.explorer.SelectionRenderer
- orion.ExplorerNavHandler.ExplorerNavHandler
- orion.extensionCommands
- orion.favorites.FavoritesService
- orion.file.ContentType
- orion.file.ContentTypeService
- orion.fileClient.FileClient
- orion.fileCommands
- orion.git.GitClonesExplorer
- orion.git.GitClonesModel
- orion.git.GitCommitNavigator
- orion.git.GitService
- orion.git.widgets.OpenCommitDialog
- orion.globalCommands
- orion.highlight.SyntaxHighlighter
- orion.links.TextLinkService
- orion.log.LogService
- orion.mirror.CodeMirrorStyler
- orion.mirror.Mirror
- orion.mirror.MirrorLineStyle
- orion.mirror.ModeApplier
- orion.navoutliner.NavigationOutliner
- orion.outliner.Outliner
- orion.outliner.OutlineService
- orion.parameterCollectors.CommandParameterCollector
- orion.pluginregistry.Plugin
- orion.pluginregistry.PluginRegistry
- orion.preferences.Preferences
- orion.preferences.PreferencesService
- orion.problems.ProblemService
- orion.profile.usersClient.UsersClient
- orion.progress.ProgressService
- orion.searchClient.Searcher
- orion.searchResults.SearchResultsGenerator
- orion.searchUtils
- orion.selection.Selection
- orion.serviceregistry.EventTarget
- orion.serviceregistry.Service
- orion.serviceregistry.ServiceReference
- orion.serviceregistry.ServiceRegistration
- orion.serviceregistry.ServiceRegistry
- orion.siteService.SiteConfiguration
- orion.siteService.SiteService
- orion.status.StatusReportingService
- orion.textview.Annotation
- orion.textview.AnnotationIterator
- orion.textview.AnnotationModel
- orion.textview.AnnotationRuler
- orion.textview.AnnotationStyler
- orion.textview.AnnotationTypeList
- orion.textview.BlurEvent
- orion.textview.ContextMenuEvent
- orion.textview.DestroyEvent
- orion.textview.EventTarget
- orion.textview.FocusEvent
- orion.textview.FoldingAnnotation
- orion.textview.KeyBinding
- orion.textview.LineNumberRuler
- orion.textview.LineStyleEvent
- orion.textview.LoadEvent
- orion.textview.ModelChangedEvent
- orion.textview.ModelChangingEvent
- orion.textview.ModifyEvent
- orion.textview.OverviewRuler
- orion.textview.Projection
- orion.textview.ProjectionTextModel
- orion.textview.Ruler
- orion.textview.ScrollEvent
- orion.textview.Selection
- orion.textview.SelectionEvent
- orion.textview.Style
- orion.textview.StyleRange
- orion.textview.TextModel
- orion.textview.TextView
- orion.textview.TextViewOptions
- orion.textview.UndoStack
- orion.textview.UnloadEvent
- orion.textview.VerifyEvent
- orion.TreeModelIterator.TreeModelIterator
- orion.treetable.TableTree
- orion.util
- orion.widgets.DirectoryTreeModel
- orion.widgets.OpenResourceDialog
- orion.widgets.SiteEditor
- String

# Namespace orion.searchUtils

orion.searchUtils
Defined in: </shared/eclipse/e4/orion/I201202282230/plugins/org.eclipse.orion.client.core/web/orion/searchUtils.js>.

Namespace Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| orion.searchUtils Utility methods

Method Summary
Method Attributes | Method Name and Description
--- | ---
<static> | orion.searchUtils.copyQueryParams(queryObj, copyReplace)
<static> | orion.searchUtils.findRegExp(pattern, flags, startIndex, startIndex) Helper for finding regex matches in text contents.
<static> | orion.searchUtils.fullPathNameByMeta(parents)
<static> | orion.searchUtils.generateInFileQuery(searchStr)
<static> | orion.searchUtils.generateMatchContext(contextAroundLength, fileContents, lineNumber)
<static> | orion.searchUtils.generateNewContents(oldContents, newContents, fileModelNode, replaceStr, searchStrLength)
<static> | orion.searchUtils.generateSearchHref(options)
<static> | orion.searchUtils.generateSearchQuery(options)
<static> | orion.searchUtils.parseLocationAndSearchStr(locAndSearchStr, queryObj)
| parseQueryStr(queryStr) Parse the search query string from the hash value of a search page.
<static> | orion.searchUtils.parseQueryStr(queryStr)
<static> | orion.searchUtils.path2FolderName(filePath, fileName, keepTailSlash)
<static> | orion.searchUtils.replaceCheckedMatches(text, replacingStr, originalMatches, checkedMatches, defaultMatchLength)
<static> | orion.searchUtils.replaceRegEx(text, regEx, replacingStr)
<static> | orion.searchUtils.replaceStringLiteral(text, keyword, replacingStr)
<static> | orion.searchUtils.searchOnelineLiteral(inFileQuery, lineString, onlyOnce)
<static> | orion.searchUtils.searchOnelineRegEx(inFileQuery, lineString, onlyOnce)
<static> | orion.searchUtils.searchWithinFile(inFileQuery, fileModelNode, fileContentText, lineDelim, replacing)

Namespace Detail
orion.searchUtils
Utility methods
Method Detail
<static> orion.searchUtils.copyQueryParams(queryObj, copyReplace)

Parameters:
queryObj
copyReplace

<static> {Object} orion.searchUtils.findRegExp(pattern, flags, startIndex, startIndex)
Helper for finding regex matches in text contents.

Parameters:
{String} pattern
  A valid regexp pattern.
{String} flags
  Valid regexp flags: [is]
{Number} startIndex Optional
  Default is false.
startIndex

Returns:
  {Object} An object giving the match details, or `null` if no match found. The returned object will have the properties:
  {Number} index
  {Number} length

<static> orion.searchUtils.fullPathNameByMeta(parents)

Parameters:
parents

<static> orion.searchUtils.generateInFileQuery(searchStr)

Parameters:
searchStr

<static> orion.searchUtils.generateMatchContext(contextAroundLength, fileContents, lineNumber)

Parameters:
contextAroundLength
fileContents
lineNumber

<static> orion.searchUtils.generateNewContents(oldContents, newContents, fileModelNode, replaceStr, searchStrLength)

Parameters:
oldContents
newContents
fileModelNode
replaceStr
searchStrLength

<static> orion.searchUtils.generateSearchHref(options)

Parameters:
options

<static> orion.searchUtils.generateSearchQuery(options)

Parameters:
options

<static> orion.searchUtils.parseLocationAndSearchStr(locAndSearchStr, queryObj)

Parameters:
locAndSearchStr
queryObj

{Object} parseQueryStr(queryStr)
Parse the search query string from the hash value of a search page.

Parameters:
{String} queryStr
  The hash string.

Returns:
  {Object} An object having the properties:
  - Integer `start` The start number of search result of current page.
  - Integer `rows` The max rows per page.
  - String `sort` The sort parameters."Path asc" or "Name asc".
  - Object `inFileQuery` The query object for in file search.

<static> orion.searchUtils.parseQueryStr(queryStr)

Parameters:
queryStr

<static> orion.searchUtils.path2FolderName(filePath, fileName, keepTailSlash)

Parameters:
filePath
fileName
keepTailSlash

<static> orion.searchUtils.replaceCheckedMatches(text, replacingStr, originalMatches, checkedMatches, defaultMatchLength)

Parameters:
text
replacingStr
originalMatches
checkedMatches
defaultMatchLength

<static> orion.searchUtils.replaceRegEx(text, regEx, replacingStr)

Parameters:
text
regEx
replacingStr

<static> orion.searchUtils.replaceStringLiteral(text, keyword, replacingStr)

Parameters:
text
keyword
replacingStr

<static> orion.searchUtils.searchOnelineLiteral(inFileQuery, lineString, onlyOnce)

Parameters:
inFileQuery
lineString
onlyOnce

<static> orion.searchUtils.searchOnelineRegEx(inFileQuery, lineString, onlyOnce)

Parameters:
inFileQuery
lineString
onlyOnce

<static> orion.searchUtils.searchWithinFile(inFileQuery, fileModelNode, fileContentText, lineDelim, replacing)

Parameters:
inFileQuery
fileModelNode
fileContentText
lineDelim
replacing

Documentation generated by JsDoc Toolkit 2.4.0 on Tue Feb 28 2012 22:34:47 GMT-0500 (EST)